### A free/open-source library for quantitative finance

Classes
ql/cashflows/simplecashflow.hpp File Reference

Cash flow dependent on an index ratio (NOT a coupon, i.e. no accruals) More...

`#include <ql/cashflow.hpp>`
Include dependency graph for simplecashflow.hpp:

## Classes

class | SimpleCashFlow
| Predetermined cash flow. More...
class | Redemption
| Bond redemption. More...
class | AmortizingPayment
| Amortizing payment. More...

## Detailed Description

Cash flow dependent on an index ratio (NOT a coupon, i.e. no accruals)

Predetermined cash flow.